<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionFishingNew.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d5a/_action_fishing_new_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ActionFishingNew.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d6/d5a/_action_fishing_new_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d0e/class_fishing_action_data.html">FishingActionData</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/ddc/class_action_fishing_new.html">ActionFishingNew</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:accfb238782010198bdb5128a8ee44300"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html#accfb238782010198bdb5128a8ee44300">CreateActionComponent</a> ()</td></tr>
<tr class="separator:accfb238782010198bdb5128a8ee44300"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d46c26688c4dac76faaf8af704daf0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html#af0d46c26688c4dac76faaf8af704daf0">EndActionComponent</a> ()</td></tr>
<tr class="separator:af0d46c26688c4dac76faaf8af704daf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29200d982ae977708923d199e15fbc42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html#a29200d982ae977708923d199e15fbc42">HandleFishingResultSuccess</a> ()</td></tr>
<tr class="separator:a29200d982ae977708923d199e15fbc42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0054152f81c2a3510fd550eb386e55bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html#a0054152f81c2a3510fd550eb386e55bf">HandleFishingResultFailure</a> ()</td></tr>
<tr class="separator:a0054152f81c2a3510fd550eb386e55bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aae79a4b2695cd5481762270c1e7496"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html#a9aae79a4b2695cd5481762270c1e7496">OnStateChange</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pOldState, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pCurrentState)</td></tr>
<tr class="separator:a9aae79a4b2695cd5481762270c1e7496"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:adc0056dc6eee91746f60602bbe94d0ed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d1/d0e/class_fishing_action_data.html">FishingActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html#adc0056dc6eee91746f60602bbe94d0ed">m_ActionDataFishing</a></td></tr>
<tr class="separator:adc0056dc6eee91746f60602bbe94d0ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab725658038f361e2cfd048643c997f0d"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html#ab725658038f361e2cfd048643c997f0d">m_JunkTypes</a> = {&quot;Wellies_Black&quot;,&quot;Wellies_Brown&quot;,&quot;Wellies_Green&quot;,&quot;Wellies_Grey&quot;,&quot;Pot&quot;}</td></tr>
<tr class="separator:ab725658038f361e2cfd048643c997f0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="accfb238782010198bdb5128a8ee44300" name="accfb238782010198bdb5128a8ee44300"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accfb238782010198bdb5128a8ee44300">&#9670;&#160;</a></span>CreateActionComponent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void CreateActionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html#l00032">32</a> of file <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html">ActionFishingNew.c</a>.</p>

</div>
</div>
<a id="af0d46c26688c4dac76faaf8af704daf0" name="af0d46c26688c4dac76faaf8af704daf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0d46c26688c4dac76faaf8af704daf0">&#9670;&#160;</a></span>EndActionComponent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void EndActionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html#l00038">38</a> of file <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html">ActionFishingNew.c</a>.</p>

</div>
</div>
<a id="a0054152f81c2a3510fd550eb386e55bf" name="a0054152f81c2a3510fd550eb386e55bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0054152f81c2a3510fd550eb386e55bf">&#9670;&#160;</a></span>HandleFishingResultFailure()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HandleFishingResultFailure </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html#l00133">133</a> of file <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html">ActionFishingNew.c</a>.</p>

</div>
</div>
<a id="a29200d982ae977708923d199e15fbc42" name="a29200d982ae977708923d199e15fbc42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29200d982ae977708923d199e15fbc42">&#9670;&#160;</a></span>HandleFishingResultSuccess()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HandleFishingResultSuccess </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html#l00079">79</a> of file <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html">ActionFishingNew.c</a>.</p>

</div>
</div>
<a id="a9aae79a4b2695cd5481762270c1e7496" name="a9aae79a4b2695cd5481762270c1e7496"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9aae79a4b2695cd5481762270c1e7496">&#9670;&#160;</a></span>OnStateChange()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnStateChange </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pOldState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pCurrentState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html#l00157">157</a> of file <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html">ActionFishingNew.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="adc0056dc6eee91746f60602bbe94d0ed" name="adc0056dc6eee91746f60602bbe94d0ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc0056dc6eee91746f60602bbe94d0ed">&#9670;&#160;</a></span>m_ActionDataFishing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d1/d0e/class_fishing_action_data.html">FishingActionData</a> m_ActionDataFishing</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab725658038f361e2cfd048643c997f0d" name="ab725658038f361e2cfd048643c997f0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab725658038f361e2cfd048643c997f0d">&#9670;&#160;</a></span>m_JunkTypes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; m_JunkTypes = {&quot;Wellies_Black&quot;,&quot;Wellies_Brown&quot;,&quot;Wellies_Green&quot;,&quot;Wellies_Grey&quot;,&quot;Pot&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html#l00030">30</a> of file <a class="el" href="../../d6/d5a/_action_fishing_new_8c_source.html">ActionFishingNew.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../d6/d5a/_action_fishing_new_8c.html">ActionFishingNew.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
